import { Contracts } from 'ton3-core';
import { WalletTransfer } from '../types/wallet-transfer';
declare class ContractHighloadWalletV2 extends Contracts.ContractBase {
    private publicKey;
    private subwalletId;
    constructor(workchain: number, publicKey: Uint8Array, subwalletId?: number);
    private static generateQueryId;
    createTransferMessage(transfers: WalletTransfer[], deploy?: boolean, timeout?: number, _queryId?: bigint): Contracts.MessageExternalIn;
    createDeployMessage(): Contracts.MessageExternalIn;
}
export { ContractHighloadWalletV2 };
