"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContractWalletV3R2 = void 0;
const ton3_core_1 = require("ton3-core");
const wallet_1 = require("./wallet");
const COMPILED = 'B5EE9C724101010100710000DEFF0020DD2082014C97BA218201339CBAB19F71B0ED44D0D31FD31F31D70BFFE304E0A4F2608308D71820D31FD31FD31FF82313BBF263ED44D0D31FD31FD3FFD15132BAF2A15144BAF2A204F901541055F910F2A3F8009320D74A96D307D402FB00E8D101A4C8CB1FCB1FCBFFC9ED5410BD6DAD';
class ContractWalletV3R2 extends wallet_1.ContractWallet {
    constructor(workchain, publicKey, subwalletId = 0) {
        const code = ton3_core_1.BOC.fromStandard(COMPILED);
        super(code, workchain, publicKey, subwalletId);
    }
}
exports.ContractWalletV3R2 = ContractWalletV3R2;
//# sourceMappingURL=wallet-v3-r2.js.map